Package oasis.names.tc.saml._1_0.assertion

# Class SubjectLocality

java.lang.Object
oasis.names.tc.saml._1_0.assertion.SubjectLocality

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:08:50+02:00", comments="JAXB RI v4.0.5") public class SubjectLocality extends Object implements Serializable

Java class for SubjectLocalityType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SubjectLocalityType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <attribute name="IPAddress" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="DNSAddress" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SubjectLocality()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDNSAddress()`
  Gets the value of the dnsAddress property.
  `String`
  `getIPAddress()`
  Gets the value of the ipAddress property.
  `void`
  `setDNSAddress(String value)`
  Sets the value of the dnsAddress property.
  `void`
  `setIPAddress(String value)`
  Sets the value of the ipAddress property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SubjectLocality

    public SubjectLocality()

- ## Method Details

  - ### getIPAddress

    public String getIPAddress()
    Gets the value of the ipAddress property.
    Returns:
      possible object is `String`

  - ### setIPAddress

    public void setIPAddress(String value)
    Sets the value of the ipAddress property.
    Parameters:
      `value` - allowed object is `String`

  - ### getDNSAddress

    public String getDNSAddress()
    Gets the value of the dnsAddress property.
    Returns:
      possible object is `String`

  - ### setDNSAddress

    public void setDNSAddress(String value)
    Sets the value of the dnsAddress property.
    Parameters:
      `value` - allowed object is `String`